org.apache.mina.proxy.utils

## Class IoBufferDecoder.DecodingContext

- java.lang.Object
- - org.apache.mina.proxy.utils.IoBufferDecoder.DecodingContext

- Enclosing class:
    IoBufferDecoder

      public class IoBufferDecoder.DecodingContext
      extends Object

  The class holding the decoding context.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IoBufferDecoder.DecodingContext()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getContentLength()`
    `IoBuffer` | `getDecodedBuffer()`
    `IoBuffer` | `getDelimiter()`
    `int` | `getMatchCount()`
    `void` | `reset()` Resets the decoding state.
    `void` | `setContentLength(int contentLength)`
    `void` | `setDecodedBuffer(IoBuffer decodedBuffer)`
    `void` | `setDelimiter(IoBuffer delimiter)`
    `void` | `setMatchCount(int matchCount)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IoBufferDecoder.DecodingContext

          public IoBufferDecoder.DecodingContext()

  - ### Method Detail

    - #### reset

          public void reset()

      Resets the decoding state.

    - #### getContentLength

          public int getContentLength()

    - #### setContentLength

          public void setContentLength(int contentLength)

    - #### getMatchCount

          public int getMatchCount()

    - #### setMatchCount

          public void setMatchCount(int matchCount)

    - #### getDecodedBuffer

          public IoBuffer getDecodedBuffer()

    - #### setDecodedBuffer

          public void setDecodedBuffer(IoBuffer decodedBuffer)

    - #### getDelimiter

          public IoBuffer getDelimiter()

    - #### setDelimiter

          public void setDelimiter(IoBuffer delimiter)

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.